/************************************************************************/
/*									*/
/* convert.c				Version: 1.0			*/
/* Autor: 	Thomas Kolbe		Letzte Aenderung: 10. 10. 1994	*/
/*									*/
/* Dieses Programm kopiert eine Textdatei und ersetzt dabei in der	*/
/* Kopie alle Vorkommen von '@@@' durch ein Zeilenende (newline).	*/
/*									*/
/************************************************************************/

#include <stdio.h>

main(int argc,char *argv[])
{
	char	c1,c2,c3;
	int	flag1,flag2,flag3;
	FILE	*src,*dest;

	if (argc != 3)
		{
		printf("\nUsage: convert <source> <destination>\n\n");
		exit(10);
		}
	if (src=fopen(argv[1],"r"))
		{
		if (!(dest=fopen(argv[2],"w")))
			{
			fclose(src);
			printf("\nError: Cannot open file '%s' for writing\n\n",
				argv[2]);
			exit(10);
			}
		c1='\000'; c2='\000'; c3='\000';
		flag1=0; flag2=0; flag3=0;
		while (! feof(src))
			{
			if (flag3)
				putc(c3,dest);
			c3=c2; flag3=flag2;
			c2=c1; flag2=flag1;
			c1=getc(src); flag1=1;
			if ((c1=='@') && (c2=='@') && (c3=='@'))
				{
				fprintf(dest,"\n");
				flag1=0;
				flag2=0;
				flag3=0;
				}
			}
		if (flag3)
			putc(c3,dest);
		if (flag2)
			putc(c2,dest);
		fclose(dest);
		fclose(src);
		}
	else
		{
		printf("\nError: Sourcefile '%s' not found!\n\n",argv[1]);
		exit(10);
		}
	exit(0);
}
